> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.schoolset.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.schoolset.io/_mcp/server.

# Get a calendar schedule

GET https://ssuccessv2.com/app/api/v2/report-cards/calendar-schedules/{id}

Returns one calendar schedule with its cycle days, audiences, generated course slots, override rules, and date overrides for the active school.

Reference: https://docs.schoolset.io/api-reference/school-set-api/calendar-schedules/get-calendar-schedule

## Authentication

- `Authorization` header (bearer token, required) — The signed-in SchoolSet user token sent by the frontend.

## Request

### Path parameters

- `id` (integer, required) — Calendar schedule identifier.

## Response

### 200

The calendar schedule resource was returned.

- `status` (string, optional)
- `message` (string, optional)
- `data` (ApiV2ReportCardsCalendarSchedulesIdGetResponsesContentApplicationJsonSchemaData, optional)

## Errors

### 401 Unauthorized Error

Authentication is required to view a calendar schedule.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 403 Forbidden Error

The user lacks view-calendar permission in the active school.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 404 Not Found Error

The calendar schedule does not exist in the active school.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

## Types

### ApiV2ReportCardsCalendarSchedulesIdGetResponsesContentApplicationJsonSchemaData

- `id` (integer, optional)
- `academic_year_id` (integer, optional)
- `academic_year_name` (string, optional)
- `report_card_term_id` (integer, optional, nullable)
- `name` (string, optional)
- `effective_start_date` (date, optional, nullable)
- `effective_end_date` (date, optional, nullable)
- `cycle_length_weeks` (integer, optional)
- `active` (boolean, optional)
- `days` (list of ApiV2ReportCardsCalendarSchedulesIdGetResponsesContentApplicationJsonSchemaDataDaysItems, optional)
- `slots` (list of ApiV2ReportCardsCalendarSchedulesIdGetResponsesContentApplicationJsonSchemaDataSlotsItems, optional)
- `audiences` (list of ApiV2ReportCardsCalendarSchedulesIdGetResponsesContentApplicationJsonSchemaDataAudiencesItems, optional)
- `override_rules` (list of ApiV2ReportCardsCalendarSchedulesIdGetResponsesContentApplicationJsonSchemaDataOverrideRulesItems, optional)
- `overrides` (list of ApiV2ReportCardsCalendarSchedulesIdGetResponsesContentApplicationJsonSchemaDataOverridesItems, optional)

### ApiV2ReportCardsCalendarSchedulesIdGetResponsesContentApplicationJsonSchemaDataDaysItems

### ApiV2ReportCardsCalendarSchedulesIdGetResponsesContentApplicationJsonSchemaDataSlotsItems

### ApiV2ReportCardsCalendarSchedulesIdGetResponsesContentApplicationJsonSchemaDataAudiencesItems

### ApiV2ReportCardsCalendarSchedulesIdGetResponsesContentApplicationJsonSchemaDataOverrideRulesItems

### ApiV2ReportCardsCalendarSchedulesIdGetResponsesContentApplicationJsonSchemaDataOverridesItems

## Examples

**Response**

```json
{
  "status": "success",
  "message": "",
  "data": {
    "id": 31,
    "academic_year_id": 12,
    "academic_year_name": "2026-2027",
    "report_card_term_id": 4,
    "name": "Regular timetable",
    "effective_start_date": {},
    "effective_end_date": {},
    "cycle_length_weeks": 1,
    "active": true,
    "days": [
      {}
    ],
    "slots": [
      {}
    ],
    "audiences": [
      {}
    ],
    "override_rules": [
      {}
    ],
    "overrides": [
      {}
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://ssuccessv2.com/app/api/v2/report-cards/calendar-schedules/31"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://ssuccessv2.com/app/api/v2/report-cards/calendar-schedules/31';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://ssuccessv2.com/app/api/v2/report-cards/calendar-schedules/31"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://ssuccessv2.com/app/api/v2/report-cards/calendar-schedules/31")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://ssuccessv2.com/app/api/v2/report-cards/calendar-schedules/31")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://ssuccessv2.com/app/api/v2/report-cards/calendar-schedules/31', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://ssuccessv2.com/app/api/v2/report-cards/calendar-schedules/31");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://ssuccessv2.com/app/api/v2/report-cards/calendar-schedules/31")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```